package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.pojo.io.UserIO;
import com.zy.bms.service.IUserService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户表 前端控制器
 *
 * @author yangxiaokun
 * @since 2021-06-03
 */
@RestController
@RequestMapping("/bms/api/operate/user")
public class UserController {
    @Resource
    private IUserService userService;

    /**
     * 分页查询用户列表
     */
    @GetMapping("listPage.do")
    public ServerResponse listPage(UserIO io) {
        return ServerResponse.success(userService.listPage(io));
    }
}
